cancel
Showing results for 
Search instead for 
Did you mean: 

pg_basebackup: incompatible server version 10.1.5

Highlighted
Adventurer

pg_basebackup: incompatible server version 10.1.5

Hi,

 

Currently i am having problem when i want to do backup via BART it shows this error :

 

bash-4.2$ bart BACKUP -z -s PELASTICS

INFO: creating backup for server 'pelastics'
INFO: backup identifier: '1547609213866'
pg_basebackup: incompatible server version 10.1.5

ERROR: backup failed for server 'pelastics'
command failed with exit code 1
pg_basebackup: incompatible server version 10.1.5

 

my current bart version is 1.1, is there any clue why i got this errors?

 

Thank you.

 

Regards,

 

Bryan

4 REPLIES 4
Level 3 Adventurer

Re: pg_basebackup: incompatible server version 10.1.5

Hi BryanSiswoyo,

 

We are looking into the issue you are facing and will provide you updates soon.

Level 3 Adventurer

Re: pg_basebackup: incompatible server version 10.1.5

Hi BryanSiswoyo,

 

We need additional information from your end to troubleshoot the issue.

 

Please attach the bart.cfg file you are using for taking BART backup.

 

 

Adventurer

Re: pg_basebackup: incompatible server version 10.1.5

Hi Ranjan,

 

Thanks for your response, this is my bart.cfg(sorry i hide my IP n Port)

All instances DB using EDB 9.5, except for PELASTICS it use EDB 10.1 

 

bash-4.2$ more bart.cfg
[BART]
bart-host = posbart@10.xx.xx.xx
backup_path = /pbopendb02/full
pg_basebackup_path = /appl/PostgresPlus/9.5AS/bin/pg_basebackup
xlog-method = fetch
wal_compression = enabled
logfile = /pbopendb02/alertlog/bart.log

[PWCHAT]
host = 10.xx.xx.72
port = xx
user = replication
description = "backup_db_pwchat_full"
backup-name = full_pwchat_%year%month%day_%hour%minute%second

[PMAPS]
host = 10.xx.xx.72
port = xx
user = replication
description = "backup_db_pmaps_full"
backup-name = full_pmaps_%year%month%day_%hour%minute%second

[PCBANK]
host = 10.xx.xx.72
port = xx
user = replication
description = "backup_db_pcbank_full"
backup-name = full_pcbank_%year%month%day_%hour%minute%second

[PELASTICS]
host = 10.xx.xx.72
port = xx
user = replication
description = "backup_db_pelastics_full"
backup-name = full_pelastics_%year%month%day_%hour%minute%second

 

Regards,

Bryan

EDB Team Member

Re: pg_basebackup: incompatible server version 10.1.5

Hi BryanSiswoyo,

 

Please update your BART from 1.1 to 2.2.

Kindly refer below document for more details :

 

BART 2.2 Guide

 

Hope this helps.

 

Warm Regards,

Dhananjay

Regards,
Dhananjay